Subject: RE: [Ltru] Submission: draft-ietf-ltru-registry-07

From: "Addison Phillips" <[email-masked]>
Date: Thu, 30 Jun 2005 09:54:36 -0700

Martin,

Instead of proposing work to do, propose text.

I'm tired of this process, so I've made an edit of Section 8 ("Changes from RFC 3066"), modifying the text to make it more Anglo-Saxon (i.e. easier to read for non-Anglo-Saxons). I have also put in a specific paragraph to deal with the placement of the script subtag:

<t>The choice of placing the extended language and script subtags between the primary language and region subtags was widely debated. This design was chosen because the prevalent matching and content negotiation schemes rely on the subtags being arranged in order of increasing specificity. That is, the subtags that mark a greater barrier to mutual intelligibility appear left-most in a tag. For example, when selecting content written in Azerbaijani, the script (Arabic, Cyrillic, or Latin) represents a greater barrier to understanding than any regional variations (those associated with Azerbaijan or Iran, for example). Individuals who prefer documents in a particular script, but can deal with the minor regional differences, can therefore select appropriate content. Applications that do not deal with written content will continue to omit these subtags.</t>

The results are posted as draft-08 on my personal website as usual:

http://www.inter-locale.com/ID/draft-ietf-ltru-registry-08.html
http://www.inter-locale.com/ID/draft-ietf-ltru-registry-08.txt

Are we done now?

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: Mark Davis [mailto:[email-masked]]
> Sent: 2005年6月30日 7:26
> To: Addison Phillips; Martin Duerst
> Cc: [email-masked]; LTRU Working Group
> Subject: Re: [Ltru] Submission: draft-ietf-ltru-registry-07
> 
> I realize that your intentions were good, but we are way behind schedule.
> 
> ‎Mark
> 
> ----- Original Message -----
> From: "Martin Duerst" <[email-masked]>
> To: "Mark Davis" <[email-masked]>; "Addison Phillips"
> <[email-masked]>
> Cc: <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Thursday, June 30, 2005 01:13
> Subject: Re: [Ltru] Submission: draft-ietf-ltru-registry-07
> 
> 
> > Just to make things clear, I was not asking for a lengthy explanation
> > of every issue that ever came up on the mailing list, or in some other
> > discusson. I was also not proposing to delay the schedule. I was just
> > proposing that documenting the arguably most disussed point in the
> > whole proposal, namely the position of the script tag.
> > But I'll leave it to the editors to do the right thing.
> >
> > Regards,   Martin.
> >
> > At 00:28 05/06/30, Mark Davis wrote:
> >  >With any document, it is always possible to have incremental
> improvements.
> >  >But we will never finish at that rate. It is now the 60th of May, so
> if
> we
> >  >are going to finish by the end of May as planned, we have to wrap
> things
> up,
> >  >instead of having continual tweaks.
> >  >
> >  >窶皿ark
> >  >
> >  >----- Original Message -----
> >  >From: "Martin Duerst" <[email-masked]>
> >  >To: "Addison Phillips" <[email-masked]>
> >  >Cc: <[email-masked]>; "LTRU Working Group" <[email-masked]>
> >  >Sent: Tuesday, June 28, 2005 17:08
> >  >Subject: Re: [Ltru] Submission: draft-ietf-ltru-registry-07
> >  >
> >  >
> >  >> Addison, others,
> >  >>
> >  >> This question is probably the most frequent question that comes
> >  >> up from newcommers. Is there any chance that the reason for this
> >  >> decision is documented in the draft, e.g. in an Appendix?
> >  >>
> >  >> There are some examples of how to do this, see e.g.
> >  >> RFC 3987, Appendix A, or RFC 3023, also Appendix A.
> >  >>
> >  >> Are there any other difficult-to-understand things that might
> >  >> benefit from such documentation? We already have some documentation
> >  >> about how we got to the various length restrictions; maybe that
> >  >> could be moved to the appendix, too.
> >  >>
> >  >> Regards,    Martin.
> >  >>
> >  >> At 04:16 05/06/29, [email-masked] wrote:
> >  >>  >I'm a newcomer to the list, so forgive me if I have a historical
> >  >question:
> >  >>  >Why was the decision made to put the script variant before the
> regional
> >  >>  >variant? I likely would have structured it with the regional
> variant
> >  >>  >before the script variant because for me, the script variant only
> >  >applies
> >  >>  >if the content is written while the regional variant would apply
> in
> both
> >  >>  >the written and spoken contexts. If you can point me in the
> direction of
> >  >>  >an archive on the topic, that would help.
> >  >>  >
> >  >>  >Thank you,
> >  >>  >
> >  >>  >Karen Broome
> >  >>  >Metadata Systems Designer
> >  >>  >Sony Pictures Entertainment
> >  >>  >310.244.4384
> >  >>  >
> >  >>  >
> >  >>  >
> >  >>  >
> >  >>  >
> >  >>  >
> >  >>  >"Addison Phillips" <[email-masked]>
> >  >>  >Sent by: [email-masked]
> >  >>  >06/27/2005 10:22 AM
> >  >>  >
> >  >>  >
> >  >>  >        To:     <[email-masked]>
> >  >>  >        cc:     LTRU Working Group <[email-masked]>
> >  >>  >        Subject:        [Ltru] Submission:
> draft-ietf-ltru-registry-07
> >  >>  >
> >  >>  >
> >  >>  >Dear Editor,
> >  >>  >
> >  >>  >Please find draft-ietf-ltru-registry-07 attached.
> >  >>  >
> >  >>  >Best Regards,
> >  >>  >
> >  >>  >Addison (for the editors)
> >  >>  >
> >  >>  >Addison P. Phillips
> >  >>  >Globalization Architect, Quest Software
> >  >>  >http://www.quest.com
> >  >>  >
> >  >>  >Chair, W3C Internationalization Core Working Group
> >  >>  >http://www.w3.org/International
> >  >>  >
> >  >>  >Internationalization is not a feature.
> >  >>  >It is an architecture.
> >  >>  >
> >  >>  >
> >  >>  >_______________________________________________
> >  >>  >Ltru mailing list
> >  >>  >[email-masked]
> >  >>  >https://www1.ietf.org/mailman/listinfo/ltru
> >  >>  >
> >  >>  >
> >  >>  >
> >  >>  >
> >  >>  >_______________________________________________
> >  >>  >Ltru mailing list
> >  >>  >[email-masked]
> >  >>  >https://www1.ietf.org/mailman/listinfo/ltru
> >  >>
> >  >>
> >  >> _______________________________________________
> >  >> Ltru mailing list
> >  >> [email-masked]
> >  >> https://www1.ietf.org/mailman/listinfo/ltru
> >  >>
> >  >>
> >
> >
> >
> 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 30 Jun 2005 10:25:14 -0700

Looks good to me.

‎Mark

----- Original Message ----- 
From: "Addison Phillips" <[email-masked]>
To: "LTRU Working Group" <[email-masked]>
Sent: Thursday, June 30, 2005 09:54
Subject: RE: [Ltru] Submission: draft-ietf-ltru-registry-07

> I'm tired of this process, so I've made an edit of Section 8 ("Changes
from RFC 3066"), modifying the text to make it more Anglo-Saxon (i.e. easier
to read for non-Anglo-Saxons). I have also put in a specific paragraph to
deal with the placement of the script subtag:
>
> <t>The choice of placing the extended language and script subtags between
the primary language and region subtags was widely debated. This design was
chosen because the prevalent matching and content negotiation schemes rely
on the subtags being arranged in order of increasing specificity. That is,
the subtags that mark a greater barrier to mutual intelligibility appear
left-most in a tag. For example, when selecting content written in
Azerbaijani, the script (Arabic, Cyrillic, or Latin) represents a greater
barrier to understanding than any regional variations (those associated with
Azerbaijan or Iran, for example). Individuals who prefer documents in a
particular script, but can deal with the minor regional differences, can
therefore select appropriate content. Applications that do not deal with
written content will continue to omit these subtags.</t>
> > >  >>  >Internationalization is not a feature.

----------------------------------------------------------------------------
----

---

From: Martin Duerst <[email-masked]>
Date: Fri, 01 Jul 2005 12:48:35 +0900

At 01:54 05/07/01, Addison Phillips wrote:
 >content-class: urn:content-classes:message
 >Content-Type: text/plain;charset="utf-8"
 >
 >Martin,
 >

Sorry, yes, I should have done that.

 >I'm tired of this process, so I've made an edit of Section 8 ("Changes from
 >RFC 3066"), modifying the text to make it more Anglo-Saxon (i.e. easier to
 >read for non-Anglo-Saxons). I have also put in a specific paragraph to deal
 >with the placement of the script subtag:
 >
 >barrier to understanding than any regional variations (those associated
 >with Azerbaijan or Iran, for example). Individuals who prefer documents in
 >a particular script, but can deal with the minor regional differences, can

This looks great!  Thanks a lot.      Martin.

 >> Sent: 2005蟷エ6譛�0譌・ 7:26
 >> >  >遯カ逧ソark